Vocabulary
Returns active countries. Optional query filters by country label or ISO 3166 code (case-insensitive substring). When there are no matches, data is an empty array.
Token-based authentication with required prefix "Token"
Filter by label or ISO 3166 code substring.
GET /api/vocab/countries/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "text",
"iso3166code": "text"
}
]
}Returns all launch type vocabulary records for launch platforms.
Token-based authentication with required prefix "Token"
GET /api/vocab/launch-types/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "text",
"description": "text",
"source": "text"
}
]
}Returns all location method vocabulary records used when describing sample collection locations.
Token-based authentication with required prefix "Token"
GET /api/vocab/location-methods/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "text",
"description": "text",
"source": "text"
}
]
}Returns all material type vocabulary rows as a flat list.
Token-based authentication with required prefix "Token"
GET /api/vocab/material-types/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "text",
"alt_label": "text",
"description": "text",
"material_type_uri": "text",
"parent_material_types": [
"text"
],
"source": "text",
"scheme_uri": "text",
"for_registration": true,
"suppress_from_search": true
}
]
}Returns material types rooted at entries with no parent links; each node includes a children array. Types with multiple parents appear under each parent.
Token-based authentication with required prefix "Token"
GET /api/vocab/material-types/hierarchical/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "text",
"alt_label": "text",
"description": "text",
"material_type_uri": "text",
"for_registration": true,
"suppress_from_search": true,
"children": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
]
}Returns all object type vocabulary records as a flat list.
Token-based authentication with required prefix "Token"
GET /api/vocab/object-types/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "text",
"hierarchical_label": "text",
"description": "text",
"uri": "text",
"parent_type": "text",
"scheme_name": "text",
"scheme_uri": "text"
}
]
}Returns object types rooted at entries with no parent type; each node includes a children array.
Token-based authentication with required prefix "Token"
GET /api/vocab/object-types/hierarchical/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"label": "text",
"hierarchical_label": "text",
"description": "text",
"uri": "text",
"children": "text"
}
]
}Returns all platform type vocabulary records for collection platforms.
Token-based authentication with required prefix "Token"
GET /api/vocab/platform-types/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "text",
"description": "text",
"source": "text"
}
]
}Returns sampling method vocabulary. Optional q filters by label (case-insensitive substring). When q is provided and nothing matches, data is an empty array.
Token-based authentication with required prefix "Token"
Filter by label substring (case-insensitive).
GET /api/vocab/sampling-methods/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"label": "text",
"description": "text",
"method_uri": "text",
"source": "text",
"scheme_uri": "text"
}
]
}Last updated
Was this helpful?